{
  lib,
  pkgs,
  flake,
  config,
  ...
}:
let
  inherit (flake.config.aesthetics.themes)
    currentTheme
    palettes
    fonts
    ;

  inherit (flake.config.people) user0;

  user = config.home.username;

  themeLogic = if user == user0 then currentTheme else currentTheme;

  el = palettes.${themeLogic}.colours;
in
{
  "git.confirmSync" = false;
  "editor.insertSpaces" = true;
  "files.autoSave" = "afterDelay";
  "git.enableSmartCommit" = true;
  "nix.enableLanguageServer" = true;
  "nix.serverPath" = lib.getExe pkgs.nil;
  "nix.formatterPath" = lib.getExe pkgs.haskellPackages.nixfmt;
  "explorer.compactFolders" = false;
  "explorer.confirmDragAndDrop" = false;
  "workbench.iconTheme" = "material-icon-theme";
  "workbench.startupEditor" = "none";
  "workbench.activityBar.location" = "bottom";
  "workbench.tree.renderIndentGuides" = "always";
  "workbench.colorTheme" = "Catppuccin Mocha";
  "workbench.statusBar.visible" = false;
  "editor.multiCursorLimit" = 700000;
  "editor.wordWrap" = "on";
  "editor.fontWeight" = "bold";
  "editor.lineHeight" = 24;
  "editor.fontSize" = fonts.sizes.applications;
  "editor.fontFamily" = "'${fonts.name}', 'monospace', monospace";
  "terminal.integrated.fontSize" = fonts.sizes.applications;
  "terminal.integrated.fontFamily" = "'${fonts.name}', 'monospace', monospace";
  "editor.fontLigatures" = true;
  "editor.formatOnSave" = true;
  "elmLS.disableElmLSDiagnostics" = true;
  "elmLS.elmReviewDiagnostics" = "warning";
  "elmLS.elmReviewPath" = "/etc/profiles/per-user/nick/bin/elm-review";
  "[elm]" = {
    "editor.defaultFormatter" = "elmTooling.elm-ls-vscode";
  };
  "material-icon-theme.folders.theme" = "classic";
  "material-icon-theme.folders.color" = "#${el.base12}";
  "material-icon-theme.files.color" = "#${el.base0E}";
  "material-icon-theme.saturation" = 0;
  "material-icon-theme.hidesExplorerArrows" = true;
  "chat.commandCenter.enabled" = false;
  "window.commandCenter" = false;
  "workbench.navigationControl.enabled" = false;
  "workbench.layoutControl.enabled" = true;
  "window.customTitleBarVisibility" = "never";
  "window.titleBarStyle" = "custom";
  "window.menuBarVisibility" = "toggle";
  "window.controlsLayout" = "hidden";
  "workbench.tips.enabled" = false;
  "workbench.welcomePage.walkthroughs.openOnInstall" = false;
  "workbench.editor.empty.hint" = "hidden";
  "haskell.formattingProvider" = "fourmolu";
  "chat.disableAIFeatures" = true;
}
